Author Topic: Updating from Virtuemart 2.x to VirtueMart 3  (Read 12395 times)

jenkinhill

  • UK Web Developer & Consultant
  • Global Moderator
  • Super Hero
  • *
  • Posts: 26051
  • Always on vacation
    • Jenkin Hill Internet
Updating from Virtuemart 2.x to VirtueMart 3
« on: November 21, 2014, 15:17:01 pm »
Important:  do not simply update a live site. It is essential that you first try the update on a copy of your site. This should be standard practice in all Joomla/VM updates in any case.

Read the update documentation here:  http://docs.virtuemart.net/tutorials/installation-migration-upgrade/198-upgrade-virtuemart-2-to-virtuemart-3.html

The update to VM3 can be handled simply by installing the VM3 components using Joomla's extensions manager. Make sure first that any third party VM extensions you use (including "VM" templates) are compatible with VM3 and as always, test the update on a copy of the site before updating a live site.

When updating Joomla from J2.5.x to J3.x then check first that all the plugins you will need are already available for J3. VM3 can work on both J2.5 amd J3 so there is no need to migrate Joomla to J3 immediately, especially as that migration does often take more time than updating VM2-3.  However you may be using some other plugins or extensions for which J2.5 versions are no longer available, so have no choice but to update your Joomla version.

If remaining on J2.5 it is essential that all available security patches are installed, but the official advice from Joomla is that J2.5.x should no longer be used.

There is a useful migrator extension that can speed up and simplify the process of updating older J/VM websites to current.  See http://extensions.virtuemart.net/back-office/import-export/virtuemart-migrator-detail

Problems? See http://docs.virtuemart.net/tutorials/30-installation-migration-upgrade-vm-2/98-possible-virtuemart-installation-problems.html
Kelvyn

Jenkin Hill Internet,
Keswick, Lake District

Unsolicited PMs/emails will be ignored.

Please mention your VirtueMart, Joomla and PHP versions when asking a question in this forum

Currently using VM3.2.3.9579 on Joomla 3.7.4 PHP 7.0.21

Testing VM3.2.4.9603 on J!3.7.4